version: '3.7'

secrets:
  simtio_smtp_relay_relayhost_password:
    external: true

services:
  smtp_relay:
    image: simtio/smtp_relay:{{ version }}
    secrets:
      - source: simtio_smtp_relay_relayhost_password
        target: postfix_relay_password
    environment:
      - POSTFIX_HOSTNAME={{ config.get("hostname") }}
      - POSTFIX_RELAY_HOST={{ config.get("relayhost")}}:{{ config.get("relayport") }}
      {% if config.get("relayuser", None) %}
      - POSTFIX_RELAY_USER={{ config.get("relayuser") }}
      {% endif %}
    ports:
      - "25:25/tcp"
